      subroutine potts_wght(wrat,beta,nlink,nd) ! bernd berg nov 26 2000.
c initialize weight ratios for muca or canonical metropolis simulations.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension wrat(-2*nd:2*nd,0:nlink)
      do id=-2*nd,2*nd
        do ilink=0,nlink
          wrat(id,ilink)=exp(two*beta*id)
        end do
      end do
      return
      end
